Eclipse Platform Release 3.7

## org.eclipse.update.configuration
Interface ILocalSite

All Superinterfaces:
  IAdaptable

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface ILocalSite

extends IAdaptable

Local Site. Represents the local installation. It consists of the current configuration and the configuration history. A local site manages the number of configuration histories kept. It also allows specific configuration histories to be saved.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`void` `addConfiguration(IInstallConfiguration config)` Deprecated. Adds the specified configuration to this local site.
`void` `addLocalSiteChangedListener(ILocalSiteChangedListener listener)` Deprecated. Adds a site change listener
`IInstallConfiguration` `addToPreservedConfigurations(IInstallConfiguration configuration)` Deprecated. Save the specified configuration.
`IInstallConfiguration` `cloneCurrentConfiguration()` Deprecated. Creates a new configuration containing the same state as the specified configuration.
`IInstallConfiguration[]` `getConfigurationHistory()` Deprecated. Return configuration history.
`IInstallConfiguration` `getCurrentConfiguration()` Deprecated. Return the current configuration.
`IStatus` `getFeatureStatus(IFeature feature)` Deprecated. Indicates if the 'state' of the specified feature and its children features.
`int` `getMaximumHistoryCount()` Deprecated. Indicates how many configuration histories should be maintained.
`IInstallConfiguration[]` `getPreservedConfigurations()` Deprecated. Return the list of saved configurations
`void` `removeFromPreservedConfigurations(IInstallConfiguration configuration)` Deprecated. Removes the specified configuration from the list of previously saved configurations.
`void` `removeLocalSiteChangedListener(ILocalSiteChangedListener listener)` Deprecated. Removes a site listener
`void` `revertTo(IInstallConfiguration configuration, IProgressMonitor monitor, IProblemHandler handler)` Deprecated. Reverts the local site to use the specified configuration.
`boolean` `save()` Deprecated. Saves the local site state
`void` `setMaximumHistoryCount(int history)` Deprecated. Sets the number of past configurations to keep in history

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getCurrentConfiguration

    IInstallConfiguration getCurrentConfiguration()

  Deprecated.
  Return the current configuration.

  Returns:
    current configuration
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getConfigurationHistory

    IInstallConfiguration[] getConfigurationHistory()

  Deprecated.
  Return configuration history.

  Returns:
    an array of configurations, or an empty array.
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### revertTo

    void revertTo(IInstallConfiguration configuration,
                  IProgressMonitor monitor,
                  IProblemHandler handler)
                  throws CoreException

  Deprecated.
  Reverts the local site to use the specified configuration. The result of this operation is a new configuration that contains the same configured features as the specified configuration. The new configuration becomes the current configuration.

  Parameters:
    `configuration` - configuration state to revert to
    `monitor` - progress monitor
    `handler` - problem handler
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### cloneCurrentConfiguration

    IInstallConfiguration cloneCurrentConfiguration()
                                                    throws CoreException

  Deprecated.
  Creates a new configuration containing the same state as the specified configuration. The new configuration is not added to this lical site.

  Returns:
    cloned configuration
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### addConfiguration

    void addConfiguration(IInstallConfiguration config)

  Deprecated.
  Adds the specified configuration to this local site. The new configuration becomes the current one.

  Parameters:
    `config` - the configuration
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### save

    boolean save()
                 throws CoreException

  Deprecated.
  Saves the local site state

  Returns:
    true if a restart is needed. This return code was added in 3.0.
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getMaximumHistoryCount

    int getMaximumHistoryCount()

  Deprecated.
  Indicates how many configuration histories should be maintained. Histories beyond the specified count are automatically deleted.

  Returns:
    number of past configurations to keep as history
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### setMaximumHistoryCount

    void setMaximumHistoryCount(int history)

  Deprecated.
  Sets the number of past configurations to keep in history

  Parameters:
    `history` - number of configuration to keep
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### addLocalSiteChangedListener

    void addLocalSiteChangedListener(ILocalSiteChangedListener listener)

  Deprecated.
  Adds a site change listener

  Parameters:
    `listener` - the listener
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### removeLocalSiteChangedListener

    void removeLocalSiteChangedListener(ILocalSiteChangedListener listener)

  Deprecated.
  Removes a site listener

  Parameters:
    `listener` - the listener
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### addToPreservedConfigurations

    IInstallConfiguration addToPreservedConfigurations(IInstallConfiguration configuration)
                                                       throws CoreException

  Deprecated.
  Save the specified configuration. Saved configurations are not deleted based on the history count. They must be explicitly removed.

  Parameters:
    `configuration` - the configuration to save
  Returns:
    the preserved configuration or `null` if the configuration to save is `null`
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### removeFromPreservedConfigurations

    void removeFromPreservedConfigurations(IInstallConfiguration configuration)

  Deprecated.
  Removes the specified configuration from the list of previously saved configurations.

  Parameters:
    `configuration` - the configuration to remove
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getPreservedConfigurations

    IInstallConfiguration[] getPreservedConfigurations()

  Deprecated.
  Return the list of saved configurations

  Returns:
    an array of configurations, or an empty array.
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getFeatureStatus

    IStatus getFeatureStatus(IFeature feature)
                             throws CoreException

  Deprecated.
  Indicates if the 'state' of the specified feature and its children features. A feature is considered to be 'unhappy' in the context of this site, if some of the plug-ins referenced by the feature, or any of its children, are not installed on this site. A feature is considered to be 'happy' in the context of a local site if all the plug-ins referenced by the feature, or any of its children, are installed on the site and no other version of any of the plug-ins are installed on any other site of the local site. A feature is considered to be 'ambiguous' in the context of a local site if all the plug-ins referenced by the feature, or any of its children, are installed on the site and other version of any of the plug-ins are installed on any other site of the local site.

  Parameters:
    `feature` - the feature
  Returns:
    the state of the feature
  Throws:
    `CoreException`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `IFeature.STATUS_HAPPY`, `IFeature.STATUS_UNHAPPY`, `IFeature.STATUS_AMBIGUOUS`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.